Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.context.exe
Class VariableInstance

    java.lang.Object
      org.jbpm.context.exe.VariableInstance

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ByteArrayInstance, DateInstance, DoubleInstance, Ejb3Instance, HibernateLongInstance, HibernateStringInstance, JcrNodeInstance, LongInstance, NullInstance, StringInstance, UnpersistableInstance

    public abstract class VariableInstance

extends java.lang.Object
implements java.io.Serializable

is a jbpm-internal class that serves as a base class for classes that store variable values in the database.

See Also:
  Serialized Form

Field Summary
`protected Converter` | `converter`
`protected boolean` | `isValueCached`
`protected java.lang.String` | `name`
`protected ProcessInstance` | `processInstance`
`protected Token` | `token`
`protected TokenVariableMap` | `tokenVariableMap`
`protected java.lang.Object` | `valueCache`

Constructor Summary
`VariableInstance()`

Method Summary
`static VariableInstance` | `create(Token token, java.lang.String name, java.lang.Object value)`
`static VariableInstance` | `createVariableInstance(java.lang.Object value)`
`java.lang.String` | `getName()`
`protected abstract java.lang.Object` | `getObject()` is the value, stored by this variable instance.
`ProcessInstance` | `getProcessInstance()`
`Token` | `getToken()`
`java.lang.Object` | `getValue()`
`abstract boolean` | `isStorable(java.lang.Object value)` is true if this variable-instance supports the given value, false otherwise.
`void` | `removeReferences()`
`protected abstract void` | `setObject(java.lang.Object value)` stores the value in this variable instance.
`void` | `setTokenVariableMap(TokenVariableMap tokenVariableMap)`
`void` | `setValue(java.lang.Object value)`
`boolean` | `supports(java.lang.Object value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### token

    protected Token token

### tokenVariableMap

    protected TokenVariableMap tokenVariableMap

### processInstance

    protected ProcessInstance processInstance

### converter

    protected Converter converter

### valueCache

    protected java.lang.Object valueCache

### isValueCached

    protected boolean isValueCached

Constructor Detail

### VariableInstance

    public VariableInstance()

Method Detail

### create

    public static VariableInstance create(Token token,
                                          java.lang.String name,
                                          java.lang.Object value)

### createVariableInstance

    public static VariableInstance createVariableInstance(java.lang.Object value)

### isStorable

    public abstract boolean isStorable(java.lang.Object value)

  is true if this variable-instance supports the given value, false otherwise.

### getObject

    protected abstract java.lang.Object getObject()

  is the value, stored by this variable instance.

### setObject

    protected abstract void setObject(java.lang.Object value)

  stores the value in this variable instance.

### supports

    public boolean supports(java.lang.Object value)

### setValue

    public void setValue(java.lang.Object value)

### getValue

    public java.lang.Object getValue()

### removeReferences

    public void removeReferences()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getName

    public java.lang.String getName()

### getProcessInstance

    public ProcessInstance getProcessInstance()

### getToken

    public Token getToken()

### setTokenVariableMap

    public void setTokenVariableMap(TokenVariableMap tokenVariableMap)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD